%define name perl-Msgcat
%define real_name Msgcat
%define version 1.03
%define release 15mdk

Summary: Msgcat, a small Perl module for XPG4 message catalog functions
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
URL: http://www.cpan.org
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Locale/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
Buildroot: %{_tmppath}/%{name}-root

%description
This is Msgcat, a small Perl modules for systems which support the XPG4 message
catalog functions : catopen(3), catgets(3) and catclose(4).

%prep
%setup -q -n %{real_name}-%{version}

# for docs files (fpons)
chmod 0644 README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale

%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.03-15mdk
- Own dir

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.03-14mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-13mdk
- rebuild for new auto{prov,req}

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.03-12mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.03-11mdk
- rebuild for perl 5.8.0

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.03-10mdk
- added url tag.

* Tue Oct 23 2001 Franois Pons <fpons@mandrakesoft.com> 1.03-9mdk
- fix docs file unreadable by most.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.03-8mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.03-7mdk
- Rebuild for the latest perl.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.03-6mdk
- build release.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.03-5mdk
- macroszifications.
- add missing clean.
- add doc.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.03-4mdk
- fixed group
- rebuild with new perl
- fixed location

* Mon Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- small cleaning in path variables

* Sun Dec  5 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed instances of i386 into %%{_arch} in the spec file.

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.
